Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		linphone
#Epoch:		0
Version:	3.1.2
Release:	1
License:	<LICENSE>
URL:		http://www.linphone.org
Group:		System/Libraries
Summary:	open-source SIP video-phone
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:
Patch0:		linphone-3.1.1-external-mstreamer.patch
# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: SDL-devel
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: ffmpeg-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gettext-devel
BuildRequires: glib-devel
BuildRequires: glibc-devel
BuildRequires: gtk2+-devel
BuildRequires: libX11-devel
BuildRequires: libXrender-devel
BuildRequires: libeXosip2-devel
BuildRequires: libglade-devel
BuildRequires: libogg-devel
BuildRequires: libosip2-devel
BuildRequires: libpng-devel
BuildRequires: libtheora-1.0-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: mediastreamer-devel
BuildRequires: ncurses-devel
BuildRequires: openssl-devel
BuildRequires: ortp-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: readline-devel
BuildRequires: speex-devel
BuildRequires: zlib-devel

%description
Linphone is an internet phone or Voice Over IP phone (VoIP).

With linphone you can communicate freely with people over the internet, with voice, video, and text instant messaging.
Linphone complies to the SIP protocol, an open standart for internet telephony. Linphone should be able to interoperate with most SIP-compatible phones and proxies.
If you subscribe a VoIP to PSTN (=classic telephony) account to a telecom provider, you can reach everyone that has a "classic" phone line. However those calls are not free since PSTN networks are costly.
linphone is free-software (or open-source), you can download and redistribute it freely.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p0
# removing bundled libs dir prevent them to be reconf
rm -rf mediastreamer2 oRTP || die "should not die"
# and references in Makefile.am
sed -i -e "s:oRTP::" -e "s:mediastreamer2::" Makefile.am

AM_VERSION="1.9"
if ! type aclocal-$AM_VERSION 1>/dev/null 2>&1; then
        # automake-1.9 (recommended) is not available on Fedora 8
        AUTOMAKE=automake
        ACLOCAL=aclocal
else
        ACLOCAL=aclocal-${AM_VERSION}
        AUTOMAKE=automake-${AM_VERSION}
fi

echo "Generating build scripts in linphone..."
set -x
libtoolize --copy --force
intltoolize -c --force --automake
autoheader
$ACLOCAL -I m4
$AUTOMAKE --force-missing --add-missing --copy
autoconf
rm -rf config.cache

%build
./configure \
--prefix=%_prefix \
--disable-debug \
--enable-external-ortp \
--enable-external-mediastreamer

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Is this really needed?
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/linphone-3
%{_bindir}/linphonec
%{_bindir}/linphonecsh
%{_bindir}/sipomatic
%{_libdir}/liblinphone.so.*
%{_datadir}/applications/linphone.desktop
%{_datadir}/pixmaps/linphone/
%{_datadir}/sounds/linphone/
%{_datadir}/linphone/
%{_datadir}/locale/*/LC_MESSAGES/linphone.mo
%{_mandir}/cs/man1/linphone.1.gz
%{_mandir}/cs/man1/linphonec.1.gz
%{_mandir}/cs/man1/sipomatic.1.gz
%{_mandir}/man1/linphone.1.gz
%{_mandir}/man1/linphonec.1.gz
%{_mandir}/man1/linphonecsh.1.gz
%{_mandir}/man1/sipomatic.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/linphone/
%{_libdir}/liblinphone.so
%{_libdir}/liblinphone.a
%{_libdir}/liblinphone.la
%{_pkgconfig}/linphone.pc   


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 28 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.1.2-1
- initial CCux package release
